petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetRowMax

Gets the maximum value (of the real part) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMax(Mat mat,Vec v,PetscInt idx[])

Logically Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

| v | - the vector for storing the maximums
| idx | - the indices of the column found for each row (optional)

### Notes

The result of this call are the same as if one converted the matrix to dense format and found the minimum value in each row (i.e. the implicit zeros are counted as zeros).

This code is only implemented for a couple of matrix formats.

### See Also

MatGetDiagonal(), MatCreateSubMatrices(), MatCreateSubMatrix(), MatGetRowMaxAbs(), MatGetRowMin()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatGetRowMax_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatGetRowMax_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatGetRowMax_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages